org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

## Class RetryClientAbortOn

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClientAbortOn

    @RequestScoped
    public class RetryClientAbortOn
    extends Object

A client to demonstrate abortOn conditions

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`RetryClientAbortOn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetryCountForConnectionService()`
`int` `getRetryCountForWritingService()`
`Connection` `serviceA()`
`void` `serviceB()` serviceB is configured to retry on a RuntimeException.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClientAbortOn

    public RetryClientAbortOn()

### Method Detail

#### serviceA

    @Retry(abortOn=java.io.IOException.class)
    public Connection serviceA()

#### getRetryCountForConnectionService

    public int getRetryCountForConnectionService()

#### serviceB

    @Retry(abortOn=java.lang.RuntimeException.class)
    public void serviceB()

serviceB is configured to retry on a RuntimeException. The WritingService throws RuntimeExceptions.

#### getRetryCountForWritingService

    public int getRetryCountForWritingService()